summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-proxy/http-replicator/files/http-replicator-4.0_alpha2-r2.init')
-rw-r--r--net-proxy/http-replicator/files/http-replicator-4.0_alpha2-r2.init21
1 files changed, 21 insertions, 0 deletions
diff --git a/net-proxy/http-replicator/files/http-replicator-4.0_alpha2-r2.init b/net-proxy/http-replicator/files/http-replicator-4.0_alpha2-r2.init
new file mode 100644
index 000000000000..ae5eb52eaa8d
--- /dev/null
+++ b/net-proxy/http-replicator/files/http-replicator-4.0_alpha2-r2.init
@@ -0,0 +1,21 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-proxy/http-replicator/files/http-replicator-4.0_alpha2-r2.init,v 1.1 2013/06/10 10:29:22 tomwij Exp $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting HTTP Replicator"
+ start-stop-daemon --start --pidfile /var/run/http-replicator.pid --name http-replicator \
+ --exec /usr/bin/http-replicator -- --static --flat --daemon $LOG_FILE $DAEMON_OPTS > /var/run/http-replicator.pid
+ eend $? "Failed to start HTTP Replicator"
+}
+
+stop() {
+ ebegin "Stopping HTTP Replicator"
+ start-stop-daemon --stop --pidfile /var/run/http-replicator.pid --name http-replicator --signal 2
+ eend $? "Failed to stop HTTP Replicator"
+}